---
layout: default
title: Archive
---

# Archive
{::nomarkdown}
{% assign current_year = "" %}
{% for post in site.posts %}
  {% assign post_year = post.date | date: "%Y" %}
  
  {% if post_year != current_year %}
    {% unless forloop.first %}
      </ul>
    {% endunless %}
    
    <h2 id="y{{ post_year }}">{{ post_year }}</h2>
    <ul class="post-list">
    
    {% assign current_year = post_year %}
  {% endif %}
  
  <li>
    <span class="post-meta">{{ post.date | date: "%b %-d" }}</span>
    <a href="{{ post.url | relative_url }}">{{ post.title }}</a>
  </li>
  
  {% if forloop.last %}
    </ul>
  {% endif %}
{% endfor %}
{:/}
